---
title: 'Just Do It'
date: 2024-06-16T11:26:02+02:00
draft: false
---

Han pasado ya cinco meses desde la última vez que escribí en el blog y
la verdad es que tenía muchas ganas de retomarlo. Varias veces he
querido hacerlo, palabra, pero entre que mis circunstancias personales
no han sido las ideales y que me he puesto piedras en el camino, al
final no me he animado hasta ahora.

Digo que me he puesto piedras en el camino porque he entrado en una
espiral de "precondiciones" no se si por optimismo, perfeccionismo o
por qué, pero en mi cabeza, antes de ponerme a escribir tenía que:

- Rehacer el HTML del blog, porque hay cosas que dejé a medias cuando
  lo monté a principios de año y llevo queriendo terminar desde
  entonces.
- Migrar a `org-mode`, porque soy un enamorado de
  [Emacs](https://www.gnu.org/software/emacs/) y la sintaxis de org se
  me hace mucho más natural que Markdown.
- Migrar a `org-publishing`, porque "ya que te pones..." pues por qué
  no migrar lo que tengo en Hugo directamente a otro sistema de
  publicación, más sencillo y flexible, pero que no está pensado para
  hacer blogging, lo que nos lleva al siguiente punto.
- Programar un conjunto de funciones para usar templates y generar RSS
  al publicar con `org-publishing`. Claro que, para poder escribir
  esas funciones, antes necesito...
- Aprender [Emacs
  LISP](https://www.gnu.org/software/emacs/manual/html_node/elisp/index.html),
  porque lo más divertido es que aun no conozco bien el lenguaje con
  el que todo esto está hecho, así que aprenderlo es una precondición
  para hacer todo lo demás.

El caso es que como proyectos molan, están bien para aprender un par
de cosas que llevan en mi lista mucho tiempo, pero no había recuperado
el blog con ese objetivo.

Los pocos ratos que he tenido para hacer cosas en el blog los he usado
para avanzar en alguno de estos frentes abiertos que son, por
definición, grandes cosas que requieren mucho tiempo, con lo que no he
progresado demasiado y he sentido el tiempo invertido como
desaprovechado, a la vez que no he pensado en el blog como lo que era:
un espacio para escribir.

![](./hal.webp)

No creo que deje de lado aprender todo esto y en algún momento acabar
haciendo la migración a un nuevo sistema, disfruto demasiado de
juguetear con el lado técnico del blog como para renunciar a él, pero
reflexionar sobre cómo he usado mi tiempo estos meses me ha hecho
replantearme cómo pienso en el blog.

En adelante, por un lado le dedicaré tiempo a programar y cambiar
cosas, y por otro, el más importante, símplemente a sentarme y
escribir.
